From 90098d1e6b02f33f2e197de9dc00f2d93dc6da4f Mon Sep 17 00:00:00 2001
Message-Id: <90098d1e6b02f33f2e197de9dc00f2d93dc6da4f.1730324700.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Wed, 30 Oct 2024 21:44:34 +0000
Subject: [PATCH] gnu: Add r-imola.

* gnu/packages/cran.scm (r-imola): New variable.

Change-Id: I190847c8f80261c77954db242511a4e05a566695
---
 gnu/packages/cran.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 717e4eac89..35b2d82342 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -8725,6 +8725,32 @@ (define-public r-idr
 by Li, Brown, Huang, and Bickel")
     (license license:gpl2+)))
 
+(define-public r-imola
+  (package
+    (name "r-imola")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "imola" version))
+       (sha256
+        (base32 "087zdzn1vkyvqrdlwnackr6jyacrhg69q4b77s8z477kplickw8x"))))
+    (properties `((upstream-name . "imola")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-glue
+                             r-htmltools
+                             r-magrittr
+                             r-shiny
+                             r-stringi
+                             r-yaml))
+    (native-inputs (list r-knitr))
+    (home-page "https://github.com/pedrocoutinhosilva/imola")
+    (synopsis "CSS layouts (grid and flexbox) for R/Shiny")
+    (description
+     "This package allows users to create CSS grid and flexbox layouts for R/Shiny
+without needing to write custom CSS.")
+    (license license:expat)))
+
 (define-public r-inext
   (package
     (name "r-inext")

base-commit: a9c33e9f688fce88aed610ab04c650efb71b4ce6
-- 
2.34.1

